// Error Writer

// (c) J. Dean Brock, 2004
// Department of Computer Science
// University of North Carolina at Asheville

package edu.unca.cs.LabAids;

import java.awt.* ;

/**
 * Collection of static methods for writing messages in graphical objects
 */
public class ErrorWriter {
    
    /**
     * Write a message on a JComponenet
     * @param errMsg Error message
     * @param g Graphics object -- <B>will be modified</B>
     * @param panel Component
     */
    public static void toComponent(String errMsg,
                                   java.awt.Graphics g,
                                   javax.swing.JComponent panel) {
        int myWidth  = panel.getWidth() ;
        int myHeight = panel.getHeight() ;
        int fontSize = Math.min((myWidth*3)/(errMsg.length()*2),myHeight) ;
        g.setFont(new Font("monospaced", Font.PLAIN, fontSize));
        FontMetrics myFM = g.getFontMetrics() ;
        g.setColor(Color.BLUE) ;
        g.fillRect(0, 0, myWidth, myHeight) ;
        g.setColor(Color.ORANGE) ;
        g.drawString(errMsg,
                     (myWidth-myFM.stringWidth(errMsg))/2,
                     (myHeight+myFM.getAscent())/2) ;
    }
    
}
